Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Public Attributes | List of all members
ranges::v3::mutable_< std::atomic< T > > Struct Template Reference
Utility

## Public Member Functions
T | exchange (T desired)
| mutable_ (mutable_ const &that)
constexpr | mutable_ (T &&t)
constexpr | mutable_ (T const &t)
| operator std::atomic< T > & () const &
| operator T () const
mutable_ const & | operator= (mutable_ const &that) const
mutable_ const & | operator= (T &&t) const
mutable_ const & | operator= (T const &t) const

## Public Attributes
std::atomic< T > | value